Page MenuHomePhabricator

Closing the search mode menu in basic search
Closed, ResolvedPublic

Description

User should be able to close the search mode menu (Keywords/Depicts/Other statements) one of two ways:

  • clicking anywhere outside that menu
  • using the Escape key

Currently, clicking anywhere outside the search mode menu works for Keywords only and the escape key works for no mode.

Related Objects

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptNov 5 2018, 8:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF triaged this task as Normal priority.Nov 8 2018, 10:07 PM
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.

Change 441040 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040

I'm not currently able to close the mode toggle using the Escape key on my machine.
And (unless I misunderstood) I'm not sure it should be possible to close the input mode toggle with Escape: the input field will still have focus after having hit Escape, so it wouldn't be possible to bring back the toggle until the user first focuses something else and then re-focuses the input.

I did change things so that clicking outside the input (= input loses focus), the search mode toggle is now hidden consistently, in all input modes.

matthiasmullie closed this task as Resolved.Feb 12 2019, 5:44 PM
matthiasmullie claimed this task.

This was feedback on a WIP patch that has been updated to reflect this feedback. Closing.

Change 441040 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040

Change 441040 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040